Subject: Re: bug#20773: 11.88.6; Preview fails on nested \include{} using \documentclass{sigplanconf}

From: Alex Rozenshteyn <[email-masked]>
Date: Tue, 9 Jun 2015 10:11:10 -0400

Made no difference to me either, though I'd have been rather surprised,
since \documentclass is the first thing in the document.

On Tue, Jun 9, 2015 at 10:10 AM, Tassilo Horn <[email-masked]> wrote:

> David Kastrup <[email-masked]> writes:
>
> > Tassilo Horn <[email-masked]> writes:
> >
> >> l.5 \(
> >>       a + b = c\)
> >> ./main.tex:5: Preview: Snippet 2 ended.(409600+54612x2392548).
> >> <-><->
> >>
> >> \pr@msg ...rrhelp {Not a real error.}\errmessage <
> >>                                                   }
> >> \pr@endbox ...lineskip \box \pr@box }\pr@ship@end
> >>                                                   {\let \protect
> \noexpand \...
> >>
> >> \)->\relax \ifmmode \ifinner $
> >>                               \else \@badmath \fi \else \@badmath \fi
> >> l.5 \(a + b = c\)
> >>
> >> [2] )
> >> (see the transcript file for additional
> information){/usr/local/texlive/2014/te
> >>
> xmf-dist/fonts/enc/dvips/base/8r.enc}</usr/local/texlive/2014/texmf-dist/fonts/
> >>
> type1/public/amsfonts/cm/cmmi9.pfb></usr/local/texlive/2014/texmf-dist/fonts/ty
> >>
> pe1/public/amsfonts/cm/cmr9.pfb></usr/local/texlive/2014/texmf-dist/fonts/type1
> >> /urw/times/utmb8a.pfb>
> >> Output written on main.pdf (2 pages, 23675 bytes).
> >> SyncTeX written on main.synctex.gz.
> >> Transcript written on main.log.
> >>
> >> TeX Output exited as expected with code 1 at Tue Jun  9 13:30:57
> >> Running `Preview-PDF2DSC' with ``pdf2dsc main.pdf
> main.prv/tmp4678jI2/preview.dsc''
> >>
> >> Preview-PDF2DSC finished at Tue Jun  9 13:30:57
> >> Running `Preview-Ghostscript' with
> ``/usr/local/texlive/2014/bin/x86_64-linux/rungs
> -dOutputFile\=\(main.prv/tmp4678jI2/pr1-\%d.png\) -q -dDELAYSAFER -dNOPAUSE
> -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4
> -sDEVICE\=png16m -r96.0757x96.0504''
> >> Ghostscript filter: No bounding box
> >
> > "Ghostscript filter" is an error message from the Emacs component of
> > preview-latex, probably coming from not being able to recognize the
> > error messages.  It would appear that the document classes here mess
> > with the error display from LaTeX, possibly by changing the
> > \errorcontextlines setting but maybe through other means.
>
> Indeed, sigplanconf.cls contains
>
>   \errorcontextlines = 5
>
> > It might be worth trying to put
> >
> > \newcount\errorcontextlines
> >
> > (making the original \errorcontextlines inaccessible) before
> > \documentclass in order to see whether this makes a difference.
>
> No, it doesn't make any difference although I didn't check the preview
> output line by line but at least I still get the two errors from above
> alternatingly.
>
> Bye,
> Tassilo
>